UHUBCTL(8)

NAME
uhubctl - uhubctl

SYNOPSIS
uhubctl [options]

DESCRIPTION
uhubctl 2.1.0: utility to control USB port power for smart hubs.

Without options, show status for all smart hubs.

Options [defaults in brackets]: --action, -a - action to off/on/cycle (0/1/2) for affected ports.
--ports, -p - ports to operate on [all hub ports].
--location, -l - limit hub by location [all smart hubs].
--level -L - limit hub by location level (e.g. a-b.c is level 3).
--vendor, -n - limit hub by vendor id [any] (partial ok).
--delay, -d - delay for cycle action [2 sec].
--repeat, -r - repeat power off count [1] (some devices need it to turn off).
--exact, -e - exact location (no USB3 duality handling).
--reset, -R - reset hub after each power-on action, causing all devices to reassociate.
--wait, -w - wait before repeat power off [20 ms].
--version, -v - print program version.
--help, -h - print this text.

Send bugs and requests to: https://github.com/mvp/uhubctl

SEE ALSO

This manual page was automatically created at build time with help2man for the Debian project.
Please report any bugs in it to the Debian BTS: https://bugs.debian.org